"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.wrapperStyle = exports.inlineWrapperStyels = void 0;
var _react = require("@emotion/react");
var _styles = require("../styles");
var wrapperStyle = exports.wrapperStyle = (0, _react.css)(_styles.wrapperDefault, {
  cursor: 'pointer',
  display: 'inline-flex',
  margin: "1px 1px ".concat("var(--ds-space-050, 4px)"),
  '> img': {
    borderRadius: "var(--ds-border-radius, 3px)"
  },
  '&::after, &::before': {
    verticalAlign: 'text-top',
    display: 'inline-block',
    width: '1px',
    content: "''"
  },
  '&.with-children': {
    padding: 0,
    background: "var(--ds-background-neutral-subtle, white)"
  }
});
var inlineWrapperStyels = exports.inlineWrapperStyels = (0, _react.css)({
  maxWidth: '100%',
  'tr &': {
    maxWidth: 'inherit'
  },
  '.rich-media-item': {
    maxWidth: '100%'
  }
});